Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.gen
Class AbsFileResourceLoader

    java.lang.Object
      org.apache.velocity.runtime.resource.loader.ResourceLoader
          org.apache.velocity.runtime.resource.loader.FileResourceLoader
              org.objectstyle.cayenne.gen.AbsFileResourceLoader

Deprecated. since 1.2 as `ClassGeneratorResourceLoader` superceeds this class.

    public class AbsFileResourceLoader

extends org.apache.velocity.runtime.resource.loader.FileResourceLoader

Special Velocity resource loader that allows loading files using absolute path and current directory.

Author:
  Andrus Adamchik

Field Summary

Fields inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader
`className, isCachingOn, modificationCheckInterval, rsvc`

Constructor Summary
`AbsFileResourceLoader()` Deprecated. Constructor for AbsFileResourceLoader.

Method Summary
`java.io.InputStream` | `getResourceStream(java.lang.String name)` Deprecated. Returns resource as InputStream.
`void` | `init(org.apache.commons.collections.ExtendedProperties arg0)` Deprecated.

Methods inherited from class org.apache.velocity.runtime.resource.loader.FileResourceLoader
`getLastModified, isSourceModified`

Methods inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader
`commonInit, getClassName, getModificationCheckInterval, isCachingOn, setCachingOn, setModificationCheckInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbsFileResourceLoader

    public AbsFileResourceLoader()

  Deprecated.
  Constructor for AbsFileResourceLoader.

Method Detail

### getResourceStream

    public java.io.InputStream getResourceStream(java.lang.String name)
                                          throws org.apache.velocity.exception.ResourceNotFoundException

  Deprecated.
  Returns resource as InputStream. First calls super implementation. If resource wasn't found, it attempts to load it from current directory or as an absolute path.

  Overrides:
    `getResourceStream` in class `org.apache.velocity.runtime.resource.loader.FileResourceLoader`
  Throws:
    `org.apache.velocity.exception.ResourceNotFoundException`
  See Also:
    `ResourceLoader.getResourceStream(String)`

### init

    public void init(org.apache.commons.collections.ExtendedProperties arg0)

  Deprecated.
  Overrides:
    `init` in class `org.apache.velocity.runtime.resource.loader.FileResourceLoader`
  See Also:
    `ResourceLoader.init(ExtendedProperties)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.